> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingnetwork.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List available network zones

> Returns a list of all available network zones



## OpenAPI

````yaml swagger.json get /zones
openapi: 3.0.1
info:
  title: VPN-as-a-Service API
  description: API for managing VPN zones and sessions
  version: '1.0'
servers:
  - url: https://api.pingnetwork.io/customer/v2
security:
  - ApiKeyAuth: []
paths:
  /zones:
    get:
      tags:
        - Zones
      summary: List available network zones
      description: Returns a list of all available network zones
      responses:
        '200':
          description: List of zones retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/zones.ZoneResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
components:
  schemas:
    zones.ZoneResponse:
      required:
        - zones
      type: object
      properties:
        zones:
          type: array
          items:
            $ref: '#/components/schemas/zones.Zone'
    errors.ErrorResponse:
      required:
        - error
      type: object
      properties:
        error:
          required:
            - code
            - message
          type: object
          properties:
            code:
              type: string
              description: Unique error code identifier
            message:
              type: string
              description: Human-readable error message
            details:
              type: object
              properties: {}
              description: Additional error context
    zones.Zone:
      required:
        - code
        - name
        - has_active_nodes
      type: object
      properties:
        name:
          type: string
          description: Human-readable zone name
        code:
          type: string
          description: Unique zone code
        has_active_nodes:
          type: boolean
          description: Indicates whether there are any active nodes in this zone
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````